1067922073249051
Jinil Choi
  • 2016.4.4 07:20
  • 조회수 115
  • 답변수 1
1067922073249051
Jinil Choi
  • 2016.4.4 07:20
  • 조회수 115
  • 답변수 1

장고 shell 에러 확인 요청;

강좌를 따라서 하다보니. 아래와 같은 에러가 나옵니다.
어떤 설정이 잘못된건가요?
알려주시면 감사하겠습니다.

PS C:\Users\skyjich\Documents\Python\mysite> python manage.py shell
Python 3.5.1 (v3.5.1:37a07cee5969, Dec 6 2015, 01:38:48) [MSC v.1900 32 bit (Intel)] on win32
Type "help", "copyright", "credits" or "license" for more information.
(InteractiveConsole)

from elections.models import Candidate
Candidate.object.all()
Traceback (most recent call last):
File "C:\Users\skyjich\AppData\Local\Programs\Python\Python35-32\lib\site-packages\django\core\management\commands\she
ll.py", line 69, in handle
self.run_shell(shell=options['interface'])
File "C:\Users\skyjich\AppData\Local\Programs\Python\Python35-32\lib\site-packages\django\core\management\commands\she
ll.py", line 61, in run_shell
raise ImportError
ImportError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "", line 1, in
AttributeError: type object 'Candidate' has no attribute 'object'

  • #장고를 활용한 웹사이트 만들기
  • #장고 shell

1 답변

  • Gscxhpxkg5i74t30rimh
    정두식
    • 2016.4.4 09:20

    Candidate.objects.all 이라고 해 주셔야 합니다. s가 빠졌네요.

답변 쓰기

이 입력폼은 마크다운 문법을 지원합니다. 마크다운 가이드 를 참고하세요.